<h2>Les plugins</h2>

<?php if($this->out["plugins"]) : ?>

<form name="plugins_form" action="<?php echo $this->url("config/plugins"); ?>" method="post">
  <fieldset>
    <ul>
      <?php $data = $this->data(); foreach($this->out["plugins"] as $plugin_name => $plugin) : ?>
      <li class="plugin <?php echo $plugin["installed"] ? ($plugin["enabled"] ? "enabled" : "disabled") : "uninstalled"; ?>">
        <h3>
          <span>dossier <strong><?php echo $plugin_name; ?></strong></span>
          <?php echo $plugin["title"]; ?>
        </h3>
        <?php echo $plugin["description"]; ?>
        <ul class="plugin_links">
          <?php if($plugin["installed"]) : ?>
          <li><a href="<?php echo $this->url("config/plugins/uninstall", array("id" => $plugin_name)); ?>"
                 onclick="return confirm('si le plugin stocke des donnees, elles seront perdues')">d&eacute;sinstaller</a></li>
          <?php if($plugin["enabled"]) : ?>
          <?php if(($admin_link = $data->get_link("plugins/admin/".$plugin_name)) && $admin_link["url"]) : ?>
          <li><a href="<?php echo $admin_link["url"]; ?>"><?php echo $admin_link["intitule"]; ?></a></li>
          <?php endif; ?>
          <li><a href="<?php echo $this->url("config/plugins/disable", array("id" => $plugin_name)); ?>">d&eacute;sactiver</a></li>
          <?php else : ?>
          <li><a href="<?php echo $this->url("config/plugins/enable", array("id" => $plugin_name)); ?>">activer</a></li>
          <?php endif; ?>
          <?php else : ?>
          <li><a href="<?php echo $this->url("config/plugins/install", array("id" => $plugin_name)); ?>">installer</a></li>
          <?php endif; ?>
          <li>priorit&eacute; : <input type="text" size="4" name="priorite_<?php echo $plugin_name; ?>" value="<?php echo $plugin["priorite"] ? $plugin["priorite"] : "0"; ?>" /></li>
        </ul>
      </li>
      <?php endforeach; ?>
      <li>
        <div class="form_buttons">
          <input type="submit" value="Enregistrer les priorit&eacute;s" />
        </div>
      </li>
    </ul>
  </fieldset>
</form>

<?php else : ?>

<p>Aucun plugin pour le moment.</p>

<?php endif; ?>
